/**
 * 
 */
package clime.messadmin.servletstats;

import java.util.Comparator;

import clime.messadmin.model.RequestInfo;

/**
 * @author C&eacute;drik LIME
 */
public class RequestInfoTimeComparator implements Comparator {

	/**
	 * 
	 */
	public RequestInfoTimeComparator() {
		super();
	}

	/**
	 * {@inheritDoc}
	 */
	public int compare(Object o1, Object o2) {
		RequestInfo ri1 = (RequestInfo) o1;
		RequestInfo ri2 = (RequestInfo) o2;
		return (int) (ri2.getTotalUsedTime() - ri1.getTotalUsedTime());
	}

	/**
	 * {@inheritDoc}
	 */
	public boolean equals(Object obj) {
		return (obj instanceof RequestInfoTimeComparator) && this.getClass().equals(obj.getClass());
	}
}
